<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.steerinfo</groupId>
        <artifactId>icore-paas</artifactId>
        <version>1.0</version>
        <relativePath/>
    </parent>

    <groupId>com.steerinfo</groupId>
    <artifactId>system-base-pass</artifactId>
    <version>1.0</version>
    <packaging>jar</packaging>
    <name>system-base-pass</name>
    <url>http://maven.apache.org</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <build>
        <!--自运行 -->
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.class</include>
                    <include>**/*.xml</include>
                    <include>**/*.properties</include>
                </includes>
                <filtering>false</filtering>
            </resource>
            <resource>
                <directory>lib</directory>
                <targetPath>BOOT-INF/lib/</targetPath>
                <includes>
                    <include>**/*.jar</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <targetPath>BOOT-INF/classes/</targetPath>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <includes>
                    <include>*.key</include>
                    <include>*.properties</include>
                    <include>*.yml</include>
                    <include>*.xml</include>
                    <include>static/**</include>
                    <include>i18n/**</include>
                    <include>templates/**</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
                <filtering>false</filtering>
            </resource>
        </resources>

        <plugins>
            <plugin>
                <groupId>com.steerinfo</groupId>
                <artifactId>generator-maven-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <!--数据库链接、目标路径、数据库用户、数据库密码-->
                    <connUrl>jdbc:oracle:thin:@10.99.200.87:1521/jgwzjl</connUrl>
                    <targetPackage>com.steerinfo.baseinfo</targetPackage>
                    <user>lims</user>
                    <password>lims_2021</password>
                    <!-- 一对一 一对多的配置文件generatorConfig.xml 请填写- - -绝对路经	-->
                    <!-- 配置文件模版位置在 generator-maven-plugin-3.0.jar 包的主目录下 -->
                    <!--<xmlProject>${project.basedir}\src\main\resources\generatorConfig.xml</xmlProject>-->
                    <!-- 表生成model默认生成驼峰式：sys_user->SysUser，如果需要生成其它名字可以用逗号分隔：sys_user,User -->
                    <tables>


                        <params>app_verification_code</params>



                    </tables>
                </configuration>
                <executions>
                    <execution>
                        <phase>compile</phase>
                        <goals>
                            <goal>steerinfo</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <!-- fork : 如果没有该项配置，devtools不会起作用，即应用不会restart -->
                    <!-- <fork>true</fork> -->
                    <mainClass>com.steerinfo.SysManageApplication</mainClass>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <compilerVersion>${java.version}</compilerVersion>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <!-- This plugin's configuration is used to store Eclipse m2e settings
                    only. It has no influence on the Maven build itself. -->
<!--                <plugin>-->
<!--                    <groupId>org.eclipse.m2e</groupId>-->
<!--                    <artifactId>lifecycle-mapping</artifactId>-->
<!--                    <version>1.0.0</version>-->
<!--                    <configuration>-->
<!--                        <lifecycleMappingMetadata>-->
<!--                            <pluginExecutions>-->
<!--                                <pluginExecution>-->
<!--                                    <pluginExecutionFilter>-->
<!--                                        <groupId>com.steerinfo</groupId>-->
<!--                                        <artifactId>generator-maven-plugin</artifactId>-->
<!--                                        <versionRange>[0.0.1,)</versionRange>-->
<!--                                        <goals>-->
<!--                                            <goal>steerinfo</goal>-->
<!--                                        </goals>-->
<!--                                    </pluginExecutionFilter>-->
<!--                                    <action>-->
<!--                                        <ignore></ignore>-->
<!--                                    </action>-->
<!--                                </pluginExecution>-->
<!--                            </pluginExecutions>-->
<!--                        </lifecycleMappingMetadata>-->
<!--                    </configuration>-->
<!--                </plugin>-->
            </plugins>
        </pluginManagement>
    </build>

    <dependencies>
        <!--连接实时数据库-->
        <dependency>
            <groupId>com.hnshituo</groupId>
            <artifactId>icore-rtdb</artifactId>
            <version>2.1.2</version>
        </dependency>
        <!-- cxf支持 -->
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-frontend-jaxws</artifactId>
            <version>3.2.6</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http</artifactId>
            <version>3.2.6</version>
        </dependency>
        <!-- 公式计算 -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-jexl</artifactId>
            <version>2.1.1</version>
        </dependency>
        <!-- 文件上传 -->
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
            <version>1.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.17</version>
        </dependency>
        <dependency>
            <groupId>commons-httpclient</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>3.1</version>
        </dependency>
        <!--   集成fastjson   -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.76</version>
        </dependency>

        <dependency>
            <groupId>cn.easyproject</groupId>
            <artifactId>orai18n</artifactId>
            <version>12.1.0.2.0</version>
        </dependency>
       <dependency>
            <groupId>com.steerinfo</groupId>
            <artifactId>framework</artifactId>
            <version>1.1.1</version>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>4.6.0</version>
        </dependency>
        <dependency>
            <groupId>org.bytedeco</groupId>
            <artifactId>javacv</artifactId>
            <version>1.5.4</version>
        </dependency>
        <dependency>
            <groupId>org.bytedeco</groupId>
            <artifactId>javacv-platform</artifactId>
            <version>1.5.4</version>
        </dependency>
        <dependency>
            <groupId>com.wellbole</groupId>
            <artifactId>smsengine-client</artifactId>
            <version>3.8.0</version>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>maven-public</id>
            <name>steerinfo maven-releases</name>
            <url>https://nexus.steerinfo.com/repository/maven-public/</url>
        </repository>
        <repository>
            <id>maven-releases</id>
            <name>steerinfo maven-releases</name>
            <url>https://nexus.steerinfo.com/repository/maven-releases/</url>
        </repository>
    </repositories>
</project>
